Subject: bug#75622: shepherd docs: Do timers work on DST/TZ changes?

From: Paweł Zmarzły <[email-masked]>
Date: Thu, 16 Jan 2025 20:00:11 +0000

I am considering using shepherd timers as crontab replacement. But I
want to first make sure they work correctly on time, timezone and
daylight-saving changes. In my experience with systemd, it can truly
be a minefield, e.g.

https://github.com/systemd/systemd/issues/5595 - timers not running on
the day of DST change

https://github.com/systemd/systemd/issues/8647 - timers not running
for entire hour after DST change

https://github.com/systemd/systemd/issues/8233 - timers running in
wrong timezone

https://github.com/systemd/systemd/issues/16732 - editing a timer
leads to its spurious trigger

I also recall many bugs with RandomizedDelaySec, but shepherd and cron
have no equivalent feature, so ignoring that.

Can someone confirm that shepherd timers do not have the same bugs?
And if so, make a note about that in the user manual? Thanks.